@echo off
setlocal

if .%1==. goto missing
if .%2==. goto missing
if .%3==. goto missing
if .%4==. goto missing

set icdir=%1
set mediadir=%2
set envir=%3
set caa=%4
set isdplatform=%5

rem platform dir: intel_a win_b64
if .%isdplatform%==. set isdplatform=intel_a

pushd %~dp0\..\..\install\win32\%isdplatform%\code\bin
set path=%path%;..\..\..
if not exist .\setcatenv.exe goto exemissing setcatenv.exe

set cmd=.\setcatenv.exe -a global -tools -desktop yes -e %envir% -d %icdir% -p %icdir%;%mediadir% -caa %caa% -cn "ICEM Technologies"
echo.
echo %cmd%
echo.
%cmd%
set err=%errorlevel%
if not %err%==0 goto enverror

set cmd=.\setcatenv.exe -a global -icon yes -desktop yes -e %envir% -d %icdir% -p %icdir%;%mediadir% -cn "ICEM Technologies"
rem -caa %caa%
echo.
echo %cmd%
echo.
%cmd%
set err=%errorlevel%
if not %err%==0 goto enverror

set cmd=.\chcatenv.exe -a global -new -var CATVizNewFacesSelectionForWireframeMode=1 -e %envir% -d %icdir%
echo.
echo %cmd%
echo.
%cmd%
set err=%errorlevel%
if not %err%==0 goto enverror

popd
if %errorlevel%==0 goto finito

goto enverror


:enverror
echo setcatenv.exe failed (error: %errorlevel%)
exit /B %errorlevel%

:exemissing
echo current dir:
cd
echo "%0" does not exist. Exit ...
exit /B -98

:missing
echo parameter is missing!
exit /B -99


:finito
endlocal
